Dynalinks
API keys

Get an API key by ID

GET
/api_keys/{id}
Manage a project's API keys. Requires a master API key. Experimental: the request and response shapes may still change.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Path Parameters

id*string

UUID of the API key

Query Parameters

project_id*string

UUID of the project

Response Body

API key found

application/json
  1. response
id?string

UUID of the API key

Formatuuid
scopes?array<string>

Array of scopes assigned to this API key

token?string

The API key token

created_at?string

When the API key was created

Formatdate-time
updated_at?string

When the API key was last updated

Formatdate-time
Example Request
curl -X GET 'https://dynalinks.app/api/v1/api_keys/string?project_id=string'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "scopes": [    "string"  ],  "token": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}